bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#37023: 27.0.50; Package.el error


From: Tim Cross
Subject: bug#37023: 27.0.50; Package.el error
Date: Fri, 16 Aug 2019 09:29:41 +1000
User-agent: mu4e 1.3.4; emacs 27.0.50

Fix tested and appears to be working. I believe the issue can be
closed/marked resolved.

thanks for the fast response.

Tim

Eli Zaretskii <address@hidden> writes:

>> From: Tim Cross <address@hidden>
>> Date: Wed, 14 Aug 2019 14:14:13 +1000
>> 
>> 1. Start emacs -Q
>> 2. Add MELPA repository to package archives e.g.
>> 
>> (add-to-list 'package-archives `("melpa" . "https://melpa.org/packages/";))
>> 
>> 3. M-x package-l;ist-packages
>> 4. Try to install elisp-demos package
>> 
>> This is with current emacs 27.0.50 (commit
>> f4974d6fe6137f436763998be2). Tested under both Ubuntu 189.04 and current
>> ArchLinux systems.
>> 
>> Backtrace:
>> 
>> Debugger entered--Lisp error: (error "Package does not untar cleanly into 
>> directory elis...")
>>   signal(error ("Package does not untar cleanly into directory elis..."))
>>   error("Package does not untar cleanly into directory %s/" 
>> "elisp-demos-20190720.1301")
>>   package-untar-buffer("elisp-demos-20190720.1301")
>
> Thanks.
>
> I went down the rabbit hole (package.el->tar-mode.el->url-http.el) and
> found that fixing bug#36773 exposed an unrelated 6-year old bug in
> url-http.el.
>
> Should be fixed now.


-- 
Tim Cross





reply via email to

[Prev in Thread] Current Thread [Next in Thread]